#ifndef FGGL_INPUT_H
#define FGGL_INPUT_H

#include <memory>
#include <fggl/input/keyboard.hpp>
#include <fggl/input/mouse.hpp>
#include <fggl/input/gamepad.hpp>

namespace fggl::input {

	class Input {
		public:
			inline Input() : keyboard(), mouse(), gamepads() {
			}

			inline void frame(float dt) {
				keyboard.frame(dt);
				mouse.frame(dt);
				gamepads.frame(dt);
			}

			KeyboardInput keyboard;
			MouseInput mouse;
			GamepadInput gamepads;
	};

}

#endif
